#
# spec file for package clamav (Version 0.88.2)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib curl curl-devel cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gmp gmp-devel gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libidn libidn-devel libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl openssl-devel pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd tcpd-devel texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           clamav
BuildRequires:  curl-devel gmp-devel tcpd-devel
Summary:        Antivirus Toolkit
Version:        0.88.2
Release:        3.2
License:        GPL
Group:          Productivity/Security
URL:            http://www.clamav.net
Requires:       latex2html-pngicons
Prereq:         /usr/sbin/groupadd /usr/sbin/useradd
Source0:        %{name}-%{version}.tar.bz2
Source1:        clamav-rcclamd
Source2:        clamav-rcfreshclam
Patch1:         %name-conf.patch
Patch2:         %name-etc.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Clam AntiVirus is an antivirus toolkit for UNIX. The main purpose of
this software is the integration with mail servers (attachment
scanning). The package provides a flexible and scalable multithreaded
daemon, a command line scanner, and a tool for automatic updating via
the Internet. It can be used in conjunction with AMaViSD-new and
Postfix to provide a combined e-mail filter for spam and viruses.



Authors:
--------
    Tomasz Kojm
    Nigel Horne

%if %suse_version != 910
%debug_package
%package db
Group:          Productivity/Security
Summary:        Virus Database for ClamAV
Requires:       clamav

%description db
This package contains a snapshot of the virus description database for
ClamAV. It is not needed if you use freshclam to keep your virus
database up to date.



Authors:
--------
    Tomasz Kojm
    Nigel Horne

%endif
%prep
%setup -q
%patch1
%if %suse_version == 910
%patch2
%endif

%build
%if %suse_version >= 1010
SP="-fstack-protector"
%endif
export CFLAGS="%optflags -fno-strict-aliasing $SP"
./configure \
	--prefix=%_prefix \
	--libdir=%_libdir \
	--mandir=%_mandir \
	--sysconfdir=%_sysconfdir \
	--disable-clamav \
	--disable-static \
	--with-dbdir=/var/lib/clamav \
	--with-user=vscan \
	--with-group=vscan \
	--with-tcpwrappers \
	--with-libcurl \
	--disable-zlib-vcheck
make %{?jobs:-j%jobs}
make check

%install
rm -rf %buildroot

%makeinstall
mkdir -p %buildroot/etc/init.d
%if %suse_version == 910
mv %buildroot/etc/clamd.conf %buildroot/etc/clamav.conf
%endif
install -m755 %{SOURCE1} %buildroot/etc/init.d/clamd
ln -s /etc/init.d/clamd %buildroot/usr/sbin/rcclamd
install -m755 %{SOURCE2} %buildroot/etc/init.d/freshclam
ln -s /etc/init.d/freshclam %buildroot/usr/sbin/rcfreshclam
touch %buildroot/var/lib/clamav/{clamd,freshclam}.pid

%clean
rm -rf %buildroot

%files
%defattr(-,root,root,-)
%config(noreplace) %_sysconfdir/*.conf
%config %attr(744,root,root)/etc/init.d/*
%doc AUTHORS BUGS ChangeLog COPYING FAQ INSTALL NEWS README TODO UPGRADE
%doc docs/*.pdf
%doc %_mandir/*/*
%doc docs/html
%_bindir/*
%_includedir/*
%_libdir/lib*
%_libdir/pkgconfig/libclamav.pc

%_sbindir/*
%defattr(-,vscan,vscan)
%dir /var/lib/clamav
%ghost /var/lib/clamav/*.pid
%if %suse_version != 910
%ghost /var/lib/clamav/*.cvd

%files db
%defattr(-,vscan,vscan)
%dir /var/lib/clamav
%endif
/var/lib/clamav/*.cvd

%pre
/usr/sbin/groupadd -r vscan 2> /dev/null || :
/usr/sbin/useradd -r -o -g vscan -u 65 -s /bin/false -c "Vscan account" -d /var/spool/amavis vscan 2> /dev/null || :
/usr/sbin/usermod vscan -g vscan 2> /dev/null || :

%preun
%stop_on_removal clamd freshclam

%postun
%restart_on_update clamd freshclam
%insserv_cleanup

%changelog -n clamav
* Tue May 02 2006 - max@suse.de
- New version: 0.88.2
- Fixes a buffer overflow in freshclam's get_database function
  (CVE-2006-1989, Bug #171496).
* Mon Apr 10 2006 - meissner@suse.de
- Fixed several implicit warnings which lead to failures
  on 64bit platforms.
* Wed Apr 05 2006 - max@suse.de
- New version: 0.88.1, fixes several security issues:
  CVE-2006-1614, CVE-2006-1615, CVE-2006-1630, bug #164039.
* Thu Feb 09 2006 - max@suse.de
- Removed unneeded dependencies from the init script to break a
  dependency loop.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Jan 14 2006 - kukuk@suse.de
- Add gmp-devel to nfb
* Thu Jan 12 2006 - max@suse.de
- Added gcc-4.1 stack protection (-fstack-protector).
* Mon Jan 09 2006 - max@suse.de
- New version: 0.88 (Bug #142298).
* Mon Nov 07 2005 - lnussel@suse.de
- Security update: version 0.87.1 (#132305, CVE-2005-3239,
  CVE-2005-3303)
* Mon Sep 19 2005 - max@suse.de
- New version: 0.87 (bug #117648).
* Mon Jul 25 2005 - max@suse.de
- New version: 0.86.2
* Thu Jul 14 2005 - max@suse.de
- New version: 0.86.1
* Tue Jun 21 2005 - max@suse.de
- New version: 0.86
* Tue May 17 2005 - max@suse.de
- New version: 0.85.1 (Bug #81264).
* Wed May 11 2005 - max@suse.de
- New version: 0.85 (Bug #81264).
* Tue May 03 2005 - max@suse.de
- New version: 0.84 (Bug #81264).
- Added and special-cased the patch that is needed for 9.1/SLES9.
* Fri Mar 11 2005 - max@suse.de
- Fixed %%doc file list (wildcards matched too much).
* Mon Feb 28 2005 - max@suse.de
- New version: 0.83
* Mon Feb 07 2005 - max@suse.de
- New version: 0.82
* Thu Jan 27 2005 - max@suse.de
- New version: 0.81
* Thu Nov 11 2004 - max@suse.de
- pkgconfig files go to libdir rather than /usr/lib.
* Thu Nov 11 2004 - coolo@suse.de
- fixing file list for debug packages
* Wed Nov 03 2004 - max@suse.de
- Fixed path to freshclam in init script, and rcfreshclam link.
* Mon Oct 18 2004 - max@suse.de
- Updated to the final 0.80 release.
- Added a runlevel script for freshclam.
* Mon Oct 11 2004 - max@suse.de
- Updated to 0.80rc4.
* Wed Sep 29 2004 - max@suse.de
- Updated to 0.80rc3. The README says:
  "This release candidate eliminates possible false positive alerts
  in UPX/FSG compressed files and clarifies behaviour of default
  actions in clamd and freshclam."
- This also eliminates the need to patch configure.in in order to
  recognize resolv.
* Thu Sep 23 2004 - max@suse.de
- Updated to 0.80rc2 which fixes a critical bug in the handling of
  empty lines in text/plain emails.
- Build with curl support.
- Fixed building of shared libraries instead of static.
- Removed unneeded %%run_ldconfig calls.
- Fixed file lists.
- Check for main.cvd instead of daily.cvd on daemon startup.
* Mon Sep 20 2004 - max@suse.de
- Updated to version 0.80rc which adds support for more file
  formats, and HTML parsing. See the README file for details.
- Added a warning to the init script if no virus database is
  installed.
* Thu Aug 05 2004 - max@suse.de
- New version: 0.75.1
- Moved the virus database files into a subpackage, as they are
  large and not needed if the database is kept up to date with
  freshclam.
* Fri Jul 23 2004 - max@suse.de
- New version: 0.75
* Thu Jul 08 2004 - max@suse.de
- Added -fno-strict-aliasing to CFLAGS.
* Mon Jul 05 2004 - max@suse.de
- New version: 0.74
* Tue Jun 15 2004 - max@suse.de
- New version: 0.73
* Mon Apr 26 2004 - max@suse.de
- New version: 0.70
- Changes the format of the virus definition file.
* Mon Feb 16 2004 - max@suse.de
- New version: 0.67
- Added support for tcpd (/etc/hosts.{allow,deny}).
- Obsoletes clamav-manager.patch.
* Fri Feb 13 2004 - max@suse.de
- New version: 0.66
- Fixes a remote DoS vulnerability (Bug #34412).
* Tue Jan 27 2004 - max@suse.de
- New package: ClamAV Anti-Virus Toolkit
